{
    "format_version": "1.12",
    "minecraft:recipe_shaped": {
        "description": {
            "identifier": "minecraft:cobblestone_torch2"
        },
        "tags": [
            "crafting_table"
        ],
        "pattern": [
            "B",
            "A"
        ],
        "key": {
            "A": {
                "item": "vatonage:cobblestone_stick"
            },
            "B": {
                "item": "minecraft:coal"
            }
        },
        "result": {
            "item": "minecraft:torch",
            "count": 4
        }
    }
}